%define oname   RubyInline

Name:       ruby-%{oname}
Version:    3.8.6
Release:    %mkrel 3
Summary:    Inline allows you to write foreign code within your ruby code
Group:      Development/Ruby
License:    MIT
URL:        http://rubyforge.org/projects/rubyinline/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rubyforge) >= 2.0.4
BuildRequires: rubygem(minitest) >= 1.7.1
BuildRequires: rubygem(hoe) >= 2.6.2
BuildRequires: rubygem(ZenTest) >= 4.4.0
BuildRequires: ruby-devel
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Inline allows you to write foreign code within your ruby code. It
automatically determines if the code in question has changed and
builds it only when necessary. The extensions are then automatically
loaded into the class/module that defines it.
You can even write extra builders that will allow you to write inlined
code in any language. Use Inline::C as a template and look at
Module#inline for the required API.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.txt
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

# Fix shebang
sed -i '/^#!/d' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/inline.rb

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Tue Jan 25 2011 shikamaru <shikamaru> 3.8.6-3.mga1
+ Revision: 39634
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 3.8.6-2.mga1
+ Revision: 37757
- imported package ruby-RubyInline


* Mon Jan 24 2011 Rémy Clouard <shikamaru@mandriva.org> - 3.8.6-2mdv2011.0
- Initial package

* Fri Oct 15 2010 Rémy Clouard <shikamaru@mandriva.org> 3.8.6-1mdv2011.0
+ Revision: 585882
- import rubygem-RubyInline

